Agents
Get a memory dream
Fetch one dream job's metadata (never staged bodies), proxied from the owning daemon. 409 when the owning daemon is too old to support dreaming (code DAEMON_FEATURE_MISSING).
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuiddreamId*string
Length
1 <= length <= 128Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/orgs/string/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/memory/dreams/string"{ "dreamId": "string", "agentId": "string", "status": "pending", "trigger": "manual", "sessionIds": [ "string" ], "snapshotDigest": "string", "executionSessionId": "string", "runtime": "string", "model": "string", "stopReason": "string", "instructions": "string", "skills": [ { "name": "string", "description": "string", "state": "proposed" } ], "usage": { "reportedAt": "string", "totalTokens": 0, "inputTokens": 0, "outputTokens": 0, "thoughtTokens": 0, "cachedReadTokens": 0, "cachedWriteTokens": 0, "contextUsed": 0, "contextSize": 0, "costAmount": 0, "costCurrency": "string", "inputBytes": 0, "outputBytes": 0 }, "error": { "type": "string", "message": "string" }, "createdAt": "string", "endedAt": "string"}